import { AccountKeyTypeFlagsDto } from './AccountKeyTypeFlagsDto';
import { AccountStateFormatDto } from './AccountStateFormatDto';
import { AccountTypeDto } from './AccountTypeDto';
import { AddressDto } from './AddressDto';
import { HeightActivityBucketsBuilder } from './HeightActivityBucketsBuilder';
import { HeightDto } from './HeightDto';
import { ImportanceSnapshotBuilder } from './ImportanceSnapshotBuilder';
import { MosaicBuilder } from './MosaicBuilder';
import { PinnedVotingKeyBuilder } from './PinnedVotingKeyBuilder';
import { PublicKeyDto } from './PublicKeyDto';
import { Serializer } from './Serializer';
import { StateHeaderBuilder } from './StateHeaderBuilder';
export declare class AccountStateBuilder extends StateHeaderBuilder implements Serializer {
    readonly address: AddressDto;
    readonly addressHeight: HeightDto;
    readonly publicKey: PublicKeyDto;
    readonly publicKeyHeight: HeightDto;
    readonly accountType: AccountTypeDto;
    readonly format: AccountStateFormatDto;
    readonly supplementalPublicKeysMask: AccountKeyTypeFlagsDto[];
    readonly linkedPublicKey?: PublicKeyDto;
    readonly nodePublicKey?: PublicKeyDto;
    readonly vrfPublicKey?: PublicKeyDto;
    readonly votingPublicKeys: PinnedVotingKeyBuilder[];
    readonly importanceSnapshots?: ImportanceSnapshotBuilder;
    readonly activityBuckets?: HeightActivityBucketsBuilder;
    readonly balances: MosaicBuilder[];
    constructor(version: number, address: AddressDto, addressHeight: HeightDto, publicKey: PublicKeyDto, publicKeyHeight: HeightDto, accountType: AccountTypeDto, format: AccountStateFormatDto, supplementalPublicKeysMask: AccountKeyTypeFlagsDto[], linkedPublicKey: PublicKeyDto | undefined, nodePublicKey: PublicKeyDto | undefined, vrfPublicKey: PublicKeyDto | undefined, votingPublicKeys: PinnedVotingKeyBuilder[], importanceSnapshots: ImportanceSnapshotBuilder | undefined, activityBuckets: HeightActivityBucketsBuilder | undefined, balances: MosaicBuilder[]);
    static loadFromBinary(payload: Uint8Array): AccountStateBuilder;
    static createAccountStateBuilderREGULAR(version: number, address: AddressDto, addressHeight: HeightDto, publicKey: PublicKeyDto, publicKeyHeight: HeightDto, accountType: AccountTypeDto, supplementalPublicKeysMask: AccountKeyTypeFlagsDto[], linkedPublicKey: PublicKeyDto, nodePublicKey: PublicKeyDto, vrfPublicKey: PublicKeyDto, votingPublicKeys: PinnedVotingKeyBuilder[], balances: MosaicBuilder[]): AccountStateBuilder;
    static createAccountStateBuilderHIGH_VALUE(version: number, address: AddressDto, addressHeight: HeightDto, publicKey: PublicKeyDto, publicKeyHeight: HeightDto, accountType: AccountTypeDto, supplementalPublicKeysMask: AccountKeyTypeFlagsDto[], linkedPublicKey: PublicKeyDto, nodePublicKey: PublicKeyDto, vrfPublicKey: PublicKeyDto, votingPublicKeys: PinnedVotingKeyBuilder[], importanceSnapshots: ImportanceSnapshotBuilder, activityBuckets: HeightActivityBucketsBuilder, balances: MosaicBuilder[]): AccountStateBuilder;
    getAddress(): AddressDto;
    getAddressHeight(): HeightDto;
    getPublicKey(): PublicKeyDto;
    getPublicKeyHeight(): HeightDto;
    getAccountType(): AccountTypeDto;
    getFormat(): AccountStateFormatDto;
    getSupplementalPublicKeysMask(): AccountKeyTypeFlagsDto[];
    getLinkedPublicKey(): PublicKeyDto;
    getNodePublicKey(): PublicKeyDto;
    getVrfPublicKey(): PublicKeyDto;
    getVotingPublicKeys(): PinnedVotingKeyBuilder[];
    getImportanceSnapshots(): ImportanceSnapshotBuilder;
    getActivityBuckets(): HeightActivityBucketsBuilder;
    getBalances(): MosaicBuilder[];
    getSize(): number;
    serialize(): Uint8Array;
}
